Kerbal Space Program - Bug #3531

Attatching two kerbals via claws, causes the world to disappear.
11/17/2014 11:42 AM - Sumimad

Status: Duplicate Start date: 11/17/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.24 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

If you atatch two claws via a kerbal, it will cause the world to disappear.

https://m.youtube.com/watch?v=kTg3vB8x3TY

Not my vid, just noticed it while looking around.
Also, on map view, the planet disappears.

Dupe steps.

1. Get a craft with two claws, a decoupler/docking port, and a kerbal.
2. Attatch the kerbal to a claw.

3. Get the claw to the other kerbal.

Notes. 1. It seems that the hit boxes are still there.
2. You can have multiple crafts, as show above.
3. This guy exploits loads of bugs, it might be worth looking around his channel.

Related issues:

Related to Kerbal Space Program - Bug #3988: Advanced Grabbing Unit Loss of... Closed 01/25/2015
Is duplicate of Kerbal Space Program - Bug #2881: Controlling claw dockee thr... Closed 08/28/2014
History

#1-11/17/2014 11:53 AM - Sum1mad

A few corrections:

At first, it seems that the world has gone, but as seen in the video, it relocates in the ocean and deletes the land, and when you zoom out, the land is
there.

The map does not disappear in map view.

There are multiple glitches in this video, they all probably link to make one big bug.

#2 - 11/18/2014 09:08 AM - Red_Iron_Crown
- Status changed from New to Duplicate

- % Done changed from 0 to 100

This appears to be a specific case of http:/bugs.kerbalspaceprogram.com/issues/2881, where controlling the ship being clawed rather than the ship
doing the clawing causes the same effect.
